// custom-tab-bar/index.ts
Component({

  /**
   * 组件的属性列表
   */
  properties: {

  },

  /**
   * 组件的初始数据
   */
  data: {
    showBar: true, // 是否显示底部按钮
    selected: 0,
    color: "#AAAAAA",
    selectedColor: "#131415",
    list: [{
      pagePath: "/pages/index/index",
      iconPath: "./images/icon-home.png",
      selectedIconPath: "./images/icon-home-active.png",
      text: "首页"
    }, {
      pagePath: "/pages/orders/orders",
      iconPath: "./images/icon-order.png",
      selectedIconPath: "./images/icon-order-active.png",
      text: "订单"
    }]
  },
  /**
   * 组件的方法列表
   */
  methods: {
    switchTab(e: any) {
      const data = e.currentTarget.dataset
      const url = data.path
      wx.switchTab({ url })
      this.setData({
        selected: data.index
      })
    }
  }
})